diff --git a/game/core/src/main/java/net/minecraft/core/entity/EntityFishingBobber.java b/game/core/src/main/java/net/minecraft/core/entity/EntityFishingBobber.java
index 7ae64349e..59eef94b5 100644
--- a/game/core/src/main/java/net/minecraft/core/entity/EntityFishingBobber.java
+++ b/game/core/src/main/java/net/minecraft/core/entity/EntityFishingBobber.java
@@ -1,8 +1,8 @@
 package net.minecraft.core.entity;
 
+import net.minecraft.core.block.material.Materials;
 import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.util.phys.HitResult;
-import net.minecraft.core.util.phys.Vec3;
 import net.minecraft.core.achievement.stat.StatList;
 import net.minecraft.core.item.Items;
 import net.minecraft.core.item.ItemStack;
@@ -10,19 +10,20 @@ import net.minecraft.core.util.helper.MathHelper;
 import com.mojang.nbt.tags.CompoundTag;
 import net.minecraft.core.world.World;
 import net.minecraft.core.block.Blocks;
-import net.minecraft.core.block.material.Material;
-import net.minecraft.core.util.phys.AABB;
 import net.minecraft.core.util.helper.DamageType;
+import net.minecraft.core.world.pos.TilePos;
 import org.jetbrains.annotations.NotNull;
+import org.jetbrains.annotations.Nullable;
+import org.joml.Vector3d;
+import org.joml.Vector3dc;
+import org.joml.primitives.AABBd;
+import org.joml.primitives.AABBdc;
 
 import java.util.List;
 
-public class EntityFishingBobber extends Entity
-{
+public class EntityFishingBobber extends Entity {
     public static final int ID_BOBBER_BITFIELD = 2;
-    private int xTile;
-    private int yTile;
-    private int zTile;
+    private @Nullable TilePos tilePos = null;
     public Player owner;
     private int ticksInAir;
     private int ticksCatchable;
@@ -37,64 +38,59 @@ public class EntityFishingBobber extends Entity
     private double velocityY;
     private double velocityZ;
 
-    public EntityFishingBobber(World world)
-    {
+    public EntityFishingBobber(World world) {
         super(world);
-        ticksInAir = 0;
-        ticksCatchable = 0;
-        hookedEntity = null;
+        this.ticksInAir = 0;
+        this.ticksCatchable = 0;
+        this.hookedEntity = null;
         setSize(0.25F, 0.25F);
-        ignoreFrustumCheck = true;
+        this.ignoreFrustumCheck = true;
     }
 
-    public EntityFishingBobber(World world, double x, double y, double z)
-    {
+    public EntityFishingBobber(World world, double x, double y, double z) {
         this(world);
         setPos(x, y, z);
-        ignoreFrustumCheck = true;
+        this.ignoreFrustumCheck = true;
     }
 
-    public EntityFishingBobber(World world, Player owner)
-    {
+    public EntityFishingBobber(World world, Player owner) {
         super(world);
-        ticksInAir = 0;
-        ticksCatchable = 0;
-        hookedEntity = null;
-        ignoreFrustumCheck = true;
+        this.ticksInAir = 0;
+        this.ticksCatchable = 0;
+        this.hookedEntity = null;
+        this.ignoreFrustumCheck = true;
         this.owner = owner;
         this.owner.bobberEntity = this;
         setSize(0.25F, 0.25F);
-        moveTo(owner.x, (owner.y + 1.62D) - (double)owner.heightOffset, owner.z, owner.yRot, owner.xRot);
-        x -= MathHelper.cos((yRot / 180F) * MathHelper.PI) * 0.16F;
-        y -= 0.1D;
-        z -= MathHelper.sin((yRot / 180F) * MathHelper.PI) * 0.16F;
-        setPos(x, y, z);
-        heightOffset = 0.0F;
+        moveTo(owner.x, (owner.y + 1.62D) - (double) owner.heightOffset, owner.z, owner.yRot, owner.xRot);
+        this.x -= MathHelper.cos((this.yRot / 180F) * MathHelper.PI) * 0.16F;
+        this.y -= 0.1D;
+        this.z -= MathHelper.sin((this.yRot / 180F) * MathHelper.PI) * 0.16F;
+        setPos(this.x, this.y, this.z);
+        this.heightOffset = 0.0F;
         float f = 0.4F;
-        xd = -MathHelper.sin((yRot / 180F) * MathHelper.PI) * MathHelper.cos((xRot / 180F) * MathHelper.PI) * f;
-        zd = MathHelper.cos((yRot / 180F) * MathHelper.PI) * MathHelper.cos((xRot / 180F) * MathHelper.PI) * f;
-        yd = -MathHelper.sin((xRot / 180F) * MathHelper.PI) * f;
-        shoot(xd, yd, zd, 1.5F, 1.0F);
+        this.xd = -MathHelper.sin((this.yRot / 180F) * MathHelper.PI) * MathHelper.cos((this.xRot / 180F) * MathHelper.PI) * f;
+        this.zd = MathHelper.cos((this.yRot / 180F) * MathHelper.PI) * MathHelper.cos((this.xRot / 180F) * MathHelper.PI) * f;
+        this.yd = -MathHelper.sin((this.xRot / 180F) * MathHelper.PI) * f;
+        shoot(this.xd, this.yd, this.zd, 1.5F, 1.0F);
     }
 
     @Override
-	protected void defineSynchedData()
-    {
-        entityData.define(ID_BOBBER_BITFIELD, (byte)0, Byte.class);
+    protected void defineSynchedData() {
+        this.entityData.define(ID_BOBBER_BITFIELD, (byte) 0, Byte.class);
     }
 
     public boolean isInGround() {
-        return entityData.getByte(ID_BOBBER_BITFIELD) != 0;
+        return this.entityData.getByte(ID_BOBBER_BITFIELD) != 0;
     }
 
     public void setInGround(boolean flag) {
-        entityData.set(ID_BOBBER_BITFIELD, flag ? (byte)1 : (byte)0);
+        this.entityData.set(ID_BOBBER_BITFIELD, flag ? (byte) 1 : (byte) 0);
     }
 
     @Override
-	public boolean shouldRenderAtSqrDistance(double distance, double viewDistanceModifier)
-    {
-        double d1 = bb.getSize() * 4D;
+    public boolean shouldRenderAtSqrDistance(double distance, double viewDistanceModifier) {
+        double d1 = MathHelper.getAABBSize(this.bb) * 4D;
         d1 *= 64D * viewDistanceModifier;
         return distance < d1 * d1;
     }
@@ -104,285 +100,260 @@ public class EntityFishingBobber extends Entity
         x /= f2;
         y /= f2;
         z /= f2;
-        x += random.nextGaussian() * 0.0075D * (double)randomness;
-        y += random.nextGaussian() * 0.0075D * (double)randomness;
-        z += random.nextGaussian() * 0.0075D * (double)randomness;
+        x += this.random.nextGaussian() * 0.0075D * (double) randomness;
+        y += this.random.nextGaussian() * 0.0075D * (double) randomness;
+        z += this.random.nextGaussian() * 0.0075D * (double) randomness;
         x *= speed;
         y *= speed;
         z *= speed;
-        xd = x;
-        yd = y;
-        zd = z;
+        this.xd = x;
+        this.yd = y;
+        this.zd = z;
         float hAng = MathHelper.sqrt(x * x + z * z);
-        yRotO = yRot = (float)((Math.atan2(x, z) * 180D) / Math.PI);
-        xRotO = xRot = (float)((Math.atan2(y, hAng) * 180D) / Math.PI);
+        this.yRotO = this.yRot = (float) ((Math.atan2(x, z) * 180D) / Math.PI);
+        this.xRotO = this.xRot = (float) ((Math.atan2(y, hAng) * 180D) / Math.PI);
     }
 
     @Override
-	public void lerpTo(double x, double y, double z, float yRot,
-                       float xRot, int i)
-    {
-        lerpX = x;
-        lerpY = y;
-        lerpZ = z;
-        lerpYRot = yRot;
-        lerpXRot = xRot;
-        lerpSteps = i;
-        xd = velocityX;
-        yd = velocityY;
-        zd = velocityZ;
+    public void lerpTo(double x, double y, double z, float yRot,
+                       float xRot, int i) {
+        this.lerpX = x;
+        this.lerpY = y;
+        this.lerpZ = z;
+        this.lerpYRot = yRot;
+        this.lerpXRot = xRot;
+        this.lerpSteps = i;
+        this.xd = this.velocityX;
+        this.yd = this.velocityY;
+        this.zd = this.velocityZ;
     }
 
     @Override
-	public void lerpMotion(double xd, double yd, double zd)
-    {
-        velocityX = this.xd = xd;
-        velocityY = this.yd = yd;
-        velocityZ = this.zd = zd;
+    public void lerpMotion(double xd, double yd, double zd) {
+        this.velocityX = this.xd = xd;
+        this.velocityY = this.yd = yd;
+        this.velocityZ = this.zd = zd;
     }
 
     @Override
-	public void tick()
-    {
+    public void tick() {
         super.tick();
-        if(lerpSteps > 0)
-        {
-            double d = x + (lerpX - x) / (double) lerpSteps;
-            double d1 = y + (lerpY - y) / (double) lerpSteps;
-            double d2 = z + (lerpZ - z) / (double) lerpSteps;
+        if (this.lerpSteps > 0) {
+            double d = this.x + (this.lerpX - this.x) / (double) this.lerpSteps;
+            double d1 = this.y + (this.lerpY - this.y) / (double) this.lerpSteps;
+            double d2 = this.z + (this.lerpZ - this.z) / (double) this.lerpSteps;
             double d4;
-            for(d4 = lerpYRot - (double) yRot; d4 < -180D; d4 += 360D) { }
-            for(; d4 >= 180D; d4 -= 360D) { }
-            yRot += d4 / (double) lerpSteps;
-            xRot += (lerpXRot - (double) xRot) / (double) lerpSteps;
-            lerpSteps--;
+            for (d4 = this.lerpYRot - (double) this.yRot; d4 < -180D; d4 += 360D) {
+            }
+            for (; d4 >= 180D; d4 -= 360D) {
+            }
+            this.yRot += d4 / (double) this.lerpSteps;
+            this.xRot += (this.lerpXRot - (double) this.xRot) / (double) this.lerpSteps;
+            this.lerpSteps--;
             setPos(d, d1, d2);
-            setRot(yRot, xRot);
+            setRot(this.yRot, this.xRot);
             return;
         }
-        if(!world.isClientSide)
-        {
-            ItemStack heldPlayerItem = owner.getCurrentEquippedItem();
-            if(owner.removed || !owner.isAlive() || heldPlayerItem == null || heldPlayerItem.getItem() != Items.TOOL_FISHINGROD || distanceToSqr(owner) > 1024D)
-            {
+        if (!this.world.isClientSide) {
+            ItemStack heldPlayerItem = this.owner.getCurrentEquippedItem();
+            if (this.owner.removed || !this.owner.isAlive() || heldPlayerItem == null || heldPlayerItem.getItem() != Items.TOOL_FISHINGROD || distanceToSqr(this.owner) > 1024D) {
                 remove();
-                owner.bobberEntity = null;
+                this.owner.bobberEntity = null;
                 return;
             }
-            if(hookedEntity != null)
-            {
-                if(hookedEntity.removed)
-                {
-                    hookedEntity = null;
-                } else
-                {
-                    x = hookedEntity.x;
-                    y = hookedEntity.bb.minY + (double) hookedEntity.bbHeight * 0.8D;
-                    z = hookedEntity.z;
-                    if(hookedEntity instanceof MobPathfinder){
-                        ((MobPathfinder) hookedEntity).target = owner;
+            if (this.hookedEntity != null) {
+                if (this.hookedEntity.removed) {
+                    this.hookedEntity = null;
+                } else {
+                    this.x = this.hookedEntity.x;
+                    this.y = this.hookedEntity.bb.minY + (double) this.hookedEntity.bbHeight * 0.8D;
+                    this.z = this.hookedEntity.z;
+                    if (this.hookedEntity instanceof MobPathfinder) {
+                        ((MobPathfinder) this.hookedEntity).target = this.owner;
                     }
-                    double dx = owner.x - x;
-                    double dy = owner.y - y;
-                    double dz = owner.z - z;
+                    double dx = this.owner.x - this.x;
+                    double dy = this.owner.y - this.y;
+                    double dz = this.owner.z - this.z;
                     double distance = MathHelper.sqrt(dx * dx + dy * dy + dz * dz);
-                    if(distance > 10) {
+                    if (distance > 10) {
                         double scale = 0.01D;
-                        hookedEntity.xd += dx * scale;
-                        hookedEntity.yd += dy * scale;
-                        hookedEntity.zd += dz * scale;
+                        this.hookedEntity.xd += dx * scale;
+                        this.hookedEntity.yd += dy * scale;
+                        this.hookedEntity.zd += dz * scale;
                     }
                     return;
                 }
             }
         }
-        if (isInGround()) {
-            if (world.getBlockId(xTile, yTile, zTile) == Blocks.ROPE.id()) {
-                x = xTile + 0.5D;
-                y = yTile + 0.5D;
-                z = zTile + 0.5D;
+        if (isInGround() && this.tilePos != null) {
+            if (this.world.getBlockId(this.tilePos) == Blocks.ROPE.id()) {
+                this.x = this.tilePos.x + 0.5D;
+                this.y = this.tilePos.y + 0.5D;
+                this.z = this.tilePos.z + 0.5D;
                 return;
             } else {
                 setInGround(false);
-                xd *= random.nextFloat() * 0.2F;
-                yd *= random.nextFloat() * 0.2F;
-                zd *= random.nextFloat() * 0.2F;
-                ticksInAir = 0;
-                ticksCatchable = 0;
+                this.xd *= this.random.nextFloat() * 0.2F;
+                this.yd *= this.random.nextFloat() * 0.2F;
+                this.zd *= this.random.nextFloat() * 0.2F;
+                this.ticksInAir = 0;
+                this.ticksCatchable = 0;
             }
         }
-        ticksInAir++;
-        Vec3 currentPos = Vec3.fromPool(x, y, z);
-        Vec3 nextPos = Vec3.fromPool(x + xd, y + yd, z + zd);
-        HitResult clip = world.checkBlockCollisionBetweenPoints(currentPos, nextPos);
-        currentPos = Vec3.fromPool(x, y, z);
-        nextPos = Vec3.fromPool(x + xd, y + yd, z + zd);
-        if(clip != null)
-        {
-            nextPos = Vec3.fromPool(clip.location.x, clip.location.y, clip.location.z);
-            if (clip instanceof HitResult.Tile hitTile && world.getBlockId(hitTile.tilePos) == Blocks.ROPE.id()) {
+        this.ticksInAir++;
+        Vector3dc currentPos = new Vector3d(this.x, this.y, this.z);
+        Vector3dc nextPos = new Vector3d(this.x + this.xd, this.y + this.yd, this.z + this.zd);
+        HitResult clip = this.world.checkBlockCollisionBetweenPoints(currentPos, nextPos);
+        currentPos = new Vector3d(this.x, this.y, this.z);
+        nextPos = new Vector3d(this.x + this.xd, this.y + this.yd, this.z + this.zd);
+        if (clip != null) {
+            nextPos = clip.location;
+            if (clip instanceof HitResult.Tile hitTile && this.world.getBlockId(hitTile.tilePos) == Blocks.ROPE.id()) {
                 setInGround(true);
-                xTile = hitTile.tilePos.x;
-                yTile = hitTile.tilePos.y;
-                zTile = hitTile.tilePos.z;
+                this.tilePos = new TilePos(hitTile.tilePos);
             }
         }
         Entity entity = null;
-        List<Entity> list = world.getEntitiesWithinAABBExcludingEntity(this, bb.expand(xd, yd, zd).grow(1.0D, 1.0D, 1.0D));
+        AABBd checkBB = MathHelper.aabbExpand(this.bb, this.xd, this.yd, this.zd, new AABBd());
+        MathHelper.aabbGrow(checkBB, 1, 1, 1, checkBB);
+        List<Entity> list = this.world.getEntitiesWithinAABBExcludingEntity(this, checkBB);
         double d3 = 0.0D;
-        for (Entity e : list)
-        {
-            if (!e.isPickable() || e == owner && ticksInAir < 5) {
+        for (Entity e : list) {
+            if (!e.isPickable() || e == this.owner && this.ticksInAir < 5) {
                 continue;
             }
             float f2 = 0.3F;
-            AABB aabb = e.bb.grow(f2, f2, f2);
-            HitResult newHitResult = aabb.clip(currentPos, nextPos);
+            AABBd aabb = MathHelper.aabbGrow(e.bb, f2, f2, f2, new AABBd());
+            HitResult newHitResult = MathHelper.aabbClip(aabb, currentPos, nextPos);
             if (newHitResult == null) {
                 continue;
             }
-            double d6 = currentPos.distanceTo(newHitResult.location);
+            double d6 = currentPos.distance(newHitResult.location);
             if (d6 < d3 || d3 == 0.0D) {
                 entity = e;
                 d3 = d6;
             }
         }
 
-        if(entity != null)
-        {
+        if (entity != null) {
             clip = new HitResult.Entity(entity);
         }
-        if(clip != null)
-        {
-            if(clip instanceof HitResult.Entity hitEntity)
-            {
-                if(hitEntity.entity.hurt(owner, 0, DamageType.COMBAT))
-                {
-                    hookedEntity = hitEntity.entity;
+        if (clip != null) {
+            if (clip instanceof HitResult.Entity hitEntity) {
+                if (hitEntity.entity.hurt(this.owner, 0, DamageType.COMBAT)) {
+                    this.hookedEntity = hitEntity.entity;
                 }
             }
         }
-        move(xd, yd, zd);
-        float f = MathHelper.sqrt(xd * xd + zd * zd);
-        yRot = (float)((java.lang.Math.atan2(xd, zd) * 180D) / Math.PI);
-        for(xRot = (float)((java.lang.Math.atan2(yd, f) * 180D) / Math.PI); xRot - xRotO < -180F; xRotO -= 360F) { }
-        for(; xRot - xRotO >= 180F; xRotO += 360F) { }
-        for(; yRot - yRotO < -180F; yRotO -= 360F) { }
-        for(; yRot - yRotO >= 180F; yRotO += 360F) { }
-        xRot = xRotO + (xRot - xRotO) * 0.2F;
-        yRot = yRotO + (yRot - yRotO) * 0.2F;
+        move(this.xd, this.yd, this.zd);
+        float f = MathHelper.sqrt(this.xd * this.xd + this.zd * this.zd);
+        this.yRot = (float) ((java.lang.Math.atan2(this.xd, this.zd) * 180D) / Math.PI);
+        for (this.xRot = (float) ((java.lang.Math.atan2(this.yd, f) * 180D) / Math.PI); this.xRot - this.xRotO < -180F; this.xRotO -= 360F) {
+        }
+        for (; this.xRot - this.xRotO >= 180F; this.xRotO += 360F) {
+        }
+        for (; this.yRot - this.yRotO < -180F; this.yRotO -= 360F) {
+        }
+        for (; this.yRot - this.yRotO >= 180F; this.yRotO += 360F) {
+        }
+        this.xRot = this.xRotO + (this.xRot - this.xRotO) * 0.2F;
+        this.yRot = this.yRotO + (this.yRot - this.yRotO) * 0.2F;
 
         float movementScale = 0.92F;
-        if(onGround || horizontalCollision)
-        {
+        if (this.onGround || this.horizontalCollision) {
             movementScale = 0.5F;
         }
         int k = 5;
         double d5 = 0.0D;
-        for(int l = 0; l < k; l++)
-        {
-            double d8 = ((bb.minY + ((bb.maxY - bb.minY) * (double)(l)) / (double)k) - 0.125D) + 0.125D;
-            double d9 = ((bb.minY + ((bb.maxY - bb.minY) * (double)(l + 1)) / (double)k) - 0.125D) + 0.125D;
-            AABB axisalignedbb1 = AABB.fromPool(bb.minX, d8, bb.minZ, bb.maxX, d9, bb.maxZ);
-
-            if(world.isAABBInMaterial(axisalignedbb1, Material.water))
-            {
-                d5 += 1.0D / (double)k;
+        for (int l = 0; l < k; l++) {
+            double d8 = ((this.bb.minY + ((this.bb.maxY - this.bb.minY) * (double) (l)) / (double) k) - 0.125D) + 0.125D;
+            double d9 = ((this.bb.minY + ((this.bb.maxY - this.bb.minY) * (double) (l + 1)) / (double) k) - 0.125D) + 0.125D;
+            AABBdc aabb = new AABBd(this.bb.minX, d8, this.bb.minZ, this.bb.maxX, d9, this.bb.maxZ);
+            if (this.world.isAABBInMaterial(aabb, Materials.WATER)) {
+                d5 += 1.0D / (double) k;
             }
         }
 
-        if(d5 > 0.0D)
-        {
-            if(ticksCatchable > 0)
-            {
-                ticksCatchable--;
-            } else
-            {
+        if (d5 > 0.0D) {
+            if (this.ticksCatchable > 0) {
+                this.ticksCatchable--;
+            } else {
                 int catchRate = 500;
                 int rainRate = 0;
                 int algaeRate = 0;
-                if(world.canBlockBeRainedOn(MathHelper.floor(x), MathHelper.floor(y) + 1, MathHelper.floor(z)))
-                {
+                TilePos tileAbove = new TilePos(this.x, this.y + 1, this.z);
+                if (this.world.isBlockBeingRainedOn(tileAbove)) {
                     rainRate = 200;
                 }
 
-                if(world.getBlockId(MathHelper.floor(x), MathHelper.floor(y) + 1, MathHelper.floor(z)) == Blocks.ALGAE.id()) {
+                if (this.world.getBlockId(tileAbove) == Blocks.ALGAE.id()) {
                     algaeRate = 100;
                 }
                 catchRate = (catchRate - rainRate) - algaeRate;
 
-                if(random.nextInt(catchRate) == 0)
-                {
-                    ticksCatchable = random.nextInt(30) + 10;
-                    yd -= 0.2D;
-                    world.playSoundAtEntity(null, this, "random.splash", 0.25F, 1.0F + (random.nextFloat() - random.nextFloat()) * 0.4F);
-                    float f3 = MathHelper.floor(bb.minY);
-                    for(int i1 = 0; (float)i1 < 1.0F + bbWidth * 20F; i1++)
-                    {
-                        double xOff = (random.nextFloat() * 2.0F - 1.0F) * bbWidth;
-                        double zOff = (random.nextFloat() * 2.0F - 1.0F) * bbWidth;
-                        world.spawnParticle("bubble", x + xOff, f3 + 1.0F, z + zOff, xd, yd - (double)(random.nextFloat() * 0.2F), zd, 0);
+                if (this.random.nextInt(catchRate) == 0) {
+                    this.ticksCatchable = this.random.nextInt(30) + 10;
+                    this.yd -= 0.2D;
+                    this.world.playSoundAtEntity(null, this, "random.splash", 0.25F, 1.0F + (this.random.nextFloat() - this.random.nextFloat()) * 0.4F);
+                    float f3 = MathHelper.floor(this.bb.minY);
+                    for (int i1 = 0; (float) i1 < 1.0F + this.bbWidth * 20F; i1++) {
+                        double xOff = (this.random.nextFloat() * 2.0F - 1.0F) * this.bbWidth;
+                        double zOff = (this.random.nextFloat() * 2.0F - 1.0F) * this.bbWidth;
+                        this.world.spawnParticle("bubble", this.x + xOff, f3 + 1.0F, this.z + zOff, this.xd, this.yd - (double) (this.random.nextFloat() * 0.2F), this.zd, 0);
                     }
 
-                    for(int j1 = 0; (float)j1 < 1.0F + bbWidth * 20F; j1++)
-                    {
-                        double xOff = (random.nextFloat() * 2.0F - 1.0F) * bbWidth;
-                        double zOff = (random.nextFloat() * 2.0F - 1.0F) * bbWidth;
-                        world.spawnParticle("splash", x + xOff, f3 + 1.0F, z + zOff, xd, yd, zd, 0);
+                    for (int j1 = 0; (float) j1 < 1.0F + this.bbWidth * 20F; j1++) {
+                        double xOff = (this.random.nextFloat() * 2.0F - 1.0F) * this.bbWidth;
+                        double zOff = (this.random.nextFloat() * 2.0F - 1.0F) * this.bbWidth;
+                        this.world.spawnParticle("splash", this.x + xOff, f3 + 1.0F, this.z + zOff, this.xd, this.yd, this.zd, 0);
                     }
 
                 }
             }
         }
-        if(ticksCatchable > 0)
-        {
-            yd -= (double)(random.nextFloat() * random.nextFloat() * random.nextFloat()) * 0.2D;
+        if (this.ticksCatchable > 0) {
+            this.yd -= (double) (this.random.nextFloat() * this.random.nextFloat() * this.random.nextFloat()) * 0.2D;
         }
         double d7 = d5 * 2D - 1.0D;
-        yd += 0.04D * d7;
-        if(d5 > 0.0D)
-        {
-            movementScale = (float)((double)movementScale * 0.9D);
-            yd *= 0.8D;
+        this.yd += 0.04D * d7;
+        if (d5 > 0.0D) {
+            movementScale = (float) ((double) movementScale * 0.9D);
+            this.yd *= 0.8D;
         }
-        xd *= movementScale;
-        yd *= movementScale;
-        zd *= movementScale;
-        setPos(x, y, z);
+        this.xd *= movementScale;
+        this.yd *= movementScale;
+        this.zd *= movementScale;
+        setPos(this.x, this.y, this.z);
     }
 
     @Override
-    public void remove()
-    {
-        if(hookedEntity instanceof MobPathfinder){
-            ((MobPathfinder) hookedEntity).target = null;
+    public void remove() {
+        if (this.hookedEntity instanceof MobPathfinder) {
+            ((MobPathfinder) this.hookedEntity).target = null;
         }
         super.remove();
     }
 
     @Override
-	public void addAdditionalSaveData(@NotNull CompoundTag compoundTag) {
+    public void addAdditionalSaveData(@NotNull CompoundTag compoundTag) {
     }
 
     @Override
-	public void readAdditionalSaveData(@NotNull CompoundTag compoundTag) {
+    public void readAdditionalSaveData(@NotNull CompoundTag compoundTag) {
     }
 
     @Override
-	public float getShadowHeightOffs()
-    {
+    public float getShadowHeightOffs() {
         return 0.0F;
     }
 
-    public int yoink()
-    {
+    public int yoink() {
         int damage = 0;
 
-        if(isInGround())
-        {
-            double dx = x - owner.x;
-            double dy = y - owner.y;
-            double dz = z - owner.z;
+        if (isInGround()) {
+            double dx = this.x - this.owner.x;
+            double dy = this.y - this.owner.y;
+            double dz = this.z - this.owner.z;
             double distance = MathHelper.sqrt(dx * dx + dy * dy + dz * dz);
             dx /= distance;
             dy /= distance;
@@ -392,46 +363,42 @@ public class EntityFishingBobber extends Entity
             dy = MathHelper.clamp(dy, -clamp, clamp);
             dz = MathHelper.clamp(dz, -clamp, clamp);
             double scale = 2D;
-            owner.xd += dx * scale;
-            owner.yd += dy * scale;
-            owner.zd += dz * scale;
+            this.owner.xd += dx * scale;
+            this.owner.yd += dy * scale;
+            this.owner.zd += dz * scale;
             damage = 5;
         }
-        if(hookedEntity != null)
-        {
-            double dx = owner.x - x;
-            double dy = owner.y - y;
-            double dz = owner.z - z;
+        if (this.hookedEntity != null) {
+            double dx = this.owner.x - this.x;
+            double dy = this.owner.y - this.y;
+            double dz = this.owner.z - this.z;
             double distance = MathHelper.sqrt(dx * dx + dy * dy + dz * dz);
             double scale = 0.1D;
-            hookedEntity.xd += dx * scale;
-            hookedEntity.yd += dy * scale + (double) MathHelper.sqrt(distance) * 0.08D;
-            hookedEntity.zd += dz * scale;
+            this.hookedEntity.xd += dx * scale;
+            this.hookedEntity.yd += dy * scale + (double) MathHelper.sqrt(distance) * 0.08D;
+            this.hookedEntity.zd += dz * scale;
             damage = 3;
-        }
-        else if(ticksCatchable > 0)
-        {
-            if (!world.isClientSide) {
-                EntityItem entityitem = new EntityItem(world, x, y, z, new ItemStack(Items.FOOD_FISH_RAW));
-                double dx = owner.x - x;
-                double dy = owner.y - y;
-                double dz = owner.z - z;
+        } else if (this.ticksCatchable > 0) {
+            if (!this.world.isClientSide) {
+                EntityItem entityitem = new EntityItem(this.world, this.x, this.y, this.z, new ItemStack(Items.FOOD_FISH_RAW));
+                double dx = this.owner.x - this.x;
+                double dy = this.owner.y - this.y;
+                double dz = this.owner.z - this.z;
                 double distance = MathHelper.sqrt(dx * dx + dy * dy + dz * dz);
                 double scale = 0.1D;
                 entityitem.xd = dx * scale;
                 entityitem.yd = dy * scale + (double) MathHelper.sqrt(distance) * 0.08D;
                 entityitem.zd = dz * scale;
-                world.entityJoinedWorld(entityitem);
-                owner.addStat(StatList.fishCaughtStat, 1);
+                this.world.entityJoinedWorld(entityitem);
+                this.owner.addStat(StatList.fishCaughtStat, 1);
                 damage = 1;
             }
         }
-        if(isInGround())
-        {
+        if (isInGround()) {
             damage = 2;
         }
         remove();
-        owner.bobberEntity = null;
+        this.owner.bobberEntity = null;
         return damage;
     }
 }
